import { jsx as _jsx } from "react/jsx-runtime";
export default function VerticalAxisGridlines(props) {
    const { plotWidth, style, primaryTicks, position: axisPosition } = props;
    return (_jsx("g", { children: primaryTicks.map(({ position }) => (_jsx("line", { x1: "0", x2: axisPosition === 'left' ? plotWidth : -plotWidth, y1: position, y2: position, stroke: "black", strokeDasharray: "2,2", strokeOpacity: 0.5, style: style }, position))) }, void 0));
}
//# sourceMappingURL=VerticalAxisGridLines.js.map