import { SVGAttributes } from 'react';
import { BaseSeriesProps, CSSFuncProps, LabelFuncProps, SeriesPoint, ShapeFuncProps } from '../types';
export interface ScatterSeriesProps<T = SeriesPoint> extends BaseSeriesProps<T> {
    markerShape?: ShapeFuncProps<T>;
    markerSize?: number;
    markerStyle?: CSSFuncProps<T>;
    pointLabel?: LabelFuncProps<T>;
    pointLabelStyle?: CSSFuncProps<T>;
    displayErrorBars?: boolean;
    errorBarsStyle?: SVGAttributes<SVGLineElement>;
    errorBarsCapStyle?: SVGAttributes<SVGLineElement>;
    errorBarsCapSize?: number;
}
export declare function ScatterSeries(props: ScatterSeriesProps): JSX.Element;
