"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Annotations = exports.Annotation = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Arrow_1 = require("./Arrow");
const Circle_1 = require("./Circle");
const DirectedEllipse_1 = require("./DirectedEllipse");
const Ellipse_1 = require("./Ellipse");
const Group_1 = require("./Group");
const Line_1 = require("./Line");
const Polygon_1 = require("./Polygon");
const Polyline_1 = require("./Polyline");
const Rectangle_1 = require("./Rectangle");
const Shape_1 = require("./Shape");
const Text_1 = require("./Text");
exports.Annotation = {
    Arrow: Arrow_1.Arrow,
    Circle: Circle_1.Circle,
    DirectedEllipse: DirectedEllipse_1.DirectedEllipse,
    Ellipse: Ellipse_1.Ellipse,
    Group: Group_1.Group,
    Line: Line_1.Line,
    Rectangle: Rectangle_1.Rectangle,
    Shape: Shape_1.Shape,
    Text: Text_1.Text,
    Polyline: Polyline_1.Polyline,
    Polygon: Polygon_1.Polygon,
};
function Annotations(props) {
    return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: props.children }, void 0);
}
exports.Annotations = Annotations;
