import { SVGProps } from 'react';
export interface AnnotationCircleProps extends Omit<SVGProps<SVGCircleElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'cx' | 'cy' | 'r' | 'fill'> {
    x: number | string;
    y: number | string;
    r: number | string;
    color?: string;
}
export declare function Circle(props: AnnotationCircleProps): JSX.Element;
