import { jsx as _jsx } from "react/jsx-runtime";
import { useEllipsePosition } from '../../hooks';
export function Ellipse(props) {
    const { x, y, rx: oldRx, ry: oldRy, color, ...otherProps } = props;
    const { cx, cy, rx, ry } = useEllipsePosition({
        cx: x,
        cy: y,
        rx: oldRx,
        ry: oldRy,
    });
    return (_jsx("ellipse", { cx: cx, cy: cy, rx: rx, ry: ry, fill: color, ...otherProps }, void 0));
}
//# sourceMappingURL=Ellipse.js.map