/// <reference types="react" />
import type { CSSFuncProps, Shape } from '../types';
import { ScatterSeriesProps } from './ScatterSeries';
export interface LineSeriesProps extends Omit<ScatterSeriesProps, 'markerShape'> {
    markerShape?: Shape;
    lineStyle?: CSSFuncProps<{
        id: string;
    }>;
    displayMarker?: boolean;
}
export declare function LineSeries(props: LineSeriesProps): JSX.Element;
