import { CSSProperties } from 'react';
export interface MarkersProps {
    size: number;
    style: CSSProperties;
}
export declare const markersComps: {
    circle: typeof Circle;
    square: typeof Square;
    diamond: typeof Diamond;
    triangle: typeof Triangle;
    cross: typeof Cross;
    xmark: typeof XMark;
    pentagon: typeof Pentagon;
    star: typeof Star;
    hexagon: typeof Hexagon;
};
export declare function Circle({ style, size }: MarkersProps): JSX.Element;
export declare function Square({ style, size }: MarkersProps): JSX.Element;
export declare function Diamond({ size, style }: MarkersProps): JSX.Element;
export declare function Triangle({ style, size }: MarkersProps): JSX.Element;
export declare function Cross({ size, style }: MarkersProps): JSX.Element;
export declare function XMark(props: MarkersProps): JSX.Element;
export declare function Pentagon({ style, size }: MarkersProps): JSX.Element;
export declare function Star({ style, size }: MarkersProps): JSX.Element;
export declare function Hexagon({ style, size }: MarkersProps): JSX.Element;
