/// <reference types="react" />
import { DualAxisOptions, RectangleOptions } from './types';
export interface UseDrawRectangleOptions extends DualAxisOptions, RectangleOptions {
    onDraw?: (rectangle: {
        x1: number;
        x2: number;
        y1: number;
        y2: number;
    }) => void;
}
export declare function useDrawRectangle(options?: UseDrawRectangleOptions): {
    annotations: JSX.Element;
};
