import { TrackingResult } from '../components/Tracking';
export declare type UseStartMoveEndCallback = (data: TrackingResult) => void;
export interface UseStartMoveEndOptions {
    onStart?: UseStartMoveEndCallback;
    onMove?: UseStartMoveEndCallback;
    onEnd?: UseStartMoveEndCallback;
}
export interface UseStartMoveEndState {
    start: {
        coordinates: Record<string, number>;
        clampedCoordinates: Record<string, number>;
    };
    end?: {
        coordinates: Record<string, number>;
        clampedCoordinates: Record<string, number>;
    };
}
export declare function useStartMoveEnd(options: UseStartMoveEndOptions): UseStartMoveEndState;
